#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "RNAstruct.h"
#include "utils.h"

#define MAX_LINE 1024

int main (int argc , char * argv[])
{
   int hamming_distance;
   char * db_orig;
   char * db_target;

   db_orig = malloc(sizeof(char)*MAX_LINE);
   db_target = malloc(sizeof(char)*MAX_LINE);
   printf("Enter original structure in dot bracket notation:\n");
   fgets(db_orig,MAX_LINE,stdin);
   db_orig[strlen(db_orig)-1] = '\0';
   printf("db_orig = %s\n",db_orig);
   printf("Enter target structure in dot bracket notation:\n");
   fgets(db_target,MAX_LINE,stdin);
   db_target[strlen(db_target)-1] = '\0';
   printf("db_target = %s\n",db_target);

   hamming_distance = hamming(db_orig, db_target);
   printf("hamming_distance=%d\n",hamming_distance);
   free(db_orig);
   free(db_target);
   return 0;
}
    
