#ifndef __simulated_anilling__
#define __simulated_anilling__



extern char * target_fold;
extern char * target_motif;
extern char * start_seq;
extern int target_motif_location;
extern char * target_nucleotide;
extern int target_nuc_location;
extern double target_dG ;
extern double target_mr ;
extern int MAX_TRY;
extern int tie_ends;
extern int allow_slip;
extern int variant_length;
extern double mutational_robustness(const char * seq);

char * random_start (int len);
void perturbate (char * str, int len);
double sa_scoure (char * str , int len);
char * simulated_anilling (int iteretion_number , int len);

#endif
