
import java.io.*;
import java.text.MessageFormat;
import java.util.*;

public class RNAshapiroParser
{
	private String shapiro = "";
	String GetShapiro(final String dotBracket) throws IOException, InterruptedException
	{
		String os = System.getProperty("os.name");
		String programName;
		if (!os.startsWith("Windows"))	
			programName = "bin" + File.separator + "RNAshapiro";
		else
			programName = "bin" + File.separator + "RNAshapiro.exe";

                ProcessBuilder pb = new ProcessBuilder(programName);
		pb.redirectErrorStream(true);
		Process process = pb.start();		        

		final OutputStream pos = process.getOutputStream();
		final PrintWriter pw = new PrintWriter(pos);
                pw.print(dotBracket + "\n");
		pw.flush();

		final InputStream is = process.getInputStream();
		Scanner scan = new Scanner(new DataInputStream(is));
		while(scan.hasNextLine()){
		   if (scan.findInLine("db =") != null){
			scan.nextLine();
		       shapiro = scan.nextLine();
		   }
		   else{
			scan.nextLine();
		   }
		}
		scan.close();

		process.waitFor();
	          if (pw != null) {
	             pw.close();
	          }

		return shapiro;
	}
}
